summaryrefslogtreecommitdiff
path: root/.private/appveyor_build.sh
diff options
context:
space:
mode:
authorChris Dickens <christopher.a.dickens@gmail.com>2020-03-31 15:47:31 -0700
committerChris Dickens <christopher.a.dickens@gmail.com>2020-03-31 15:47:31 -0700
commit1ce667ff7be902e376647ea81d812b75f3e43a00 (patch)
tree33e15e8a48a3f2ab3f82663c3d2f64fa0c12378d /.private/appveyor_build.sh
parent09d0312fbb466ce2457df94e314ba1348039138d (diff)
downloadlibusb-1ce667ff7be902e376647ea81d812b75f3e43a00.tar.gz
Move CI-related files into .private directory and add unified build script
The files needed for Continuous Integration (AppVeyor, Travis) are not meant for public consumption, so clean up the root directory by moving these files underneath .private. Create a single build script that is leveraged by both AppVeyor and Travis. This script replaces the previous 'travis-autogen.sh' file and enables additional compiler warnings that should provide additional coverage for all build environments. Update the Travis configuration file to absorb the Brewfile and update the Xcode images. Per warnings from Travis, Xcode6.4 is obsolete, thus replace it with Xcode7.3. Additionally remove the "gcc" variants for the macOS builds. The builds never used gcc to begin with and actually using gcc causes build errors due to Clang-specific pragmas in the IOKit header files. Signed-off-by: Chris Dickens <christopher.a.dickens@gmail.com>
Diffstat (limited to '.private/appveyor_build.sh')
-rwxr-xr-x.private/appveyor_build.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/.private/appveyor_build.sh b/.private/appveyor_build.sh
new file mode 100755
index 0000000..44ca46b
--- /dev/null
+++ b/.private/appveyor_build.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+set -eu
+
+buildsys="${1}-${Platform}"
+
+if [ "${buildsys}" == "MinGW-Win32" ]; then
+ export PATH="/c/mingw-w64/i686-6.3.0-posix-dwarf-rt_v5-rev1/mingw32/bin:${PATH}"
+elif [ "${buildsys}" == "MinGW-x64" ]; then
+ export PATH="/c/mingw-w64/x86_64-8.1.0-posix-seh-rt_v6-rev0/mingw64/bin:${PATH}"
+fi
+
+builddir="build-${buildsys}"
+installdir="${PWD}/libusb-${buildsys}"
+
+cd libusb
+
+echo "Bootstrapping ..."
+./bootstrap.sh
+echo ""
+
+exec .private/ci-build.sh --build-dir "${builddir}" --install -- "--prefix=${installdir}"